DOM::HTMLHRElement class Reference (khtml Library)

| # khtml Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# DOM::HTMLHRElement Class Reference

Create a horizontal rule. More...

`#include <html_block.h>`

Inheritance diagram for DOM::HTMLHRElement:

[legend]
Collaboration diagram for DOM::HTMLHRElement:

[legend]
List of all members.

## Public Member Functions
| HTMLHRElement (const HTMLHRElement &other)
| HTMLHRElement (const Node &other)
HTMLHRElement & | operator= (const HTMLHRElement &other)
HTMLHRElement & | operator= (const Node &other)
DOMString | align () const
| Align the rule on the page.
void | setAlign (const DOMString &)
| see align
bool | noShade () const
| Indicates to the user agent that there should be no shading in the rendering of this element.
void | setNoShade (bool)
| see noShade
DOMString | size () const
| The height of the rule.
void | setSize (const DOMString &)
| see size
DOMString | width () const
| The width of the rule.
void | setWidth (const DOMString &)
| see width
## Protected Member Functions
| HTMLHRElement (HTMLHRElementImpl *impl)

## Detailed Description

Create a horizontal rule.

See the HR element definition in HTML 4.0.

Definition at line 131 of file html_block.h.

## Member Function Documentation

DOMString HTMLHRElement::align | ( |  | ) | const

| Align the rule on the page. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 146 of file html_block.cpp.

void HTMLHRElement::setAlign | ( | const DOMString & |  | ) |

| see align Definition at line 152 of file html_block.cpp.

bool HTMLHRElement::noShade | ( |  | ) | const

| Indicates to the user agent that there should be no shading in the rendering of this element. See the noshade attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 157 of file html_block.cpp.

void HTMLHRElement::setNoShade | ( | bool |  | ) |

| see noShade Definition at line 163 of file html_block.cpp.

DOMString HTMLHRElement::size | ( |  | ) | const

| The height of the rule. See the size attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 174 of file html_block.cpp.

void HTMLHRElement::setSize | ( | const DOMString & |  | ) |

| see size Definition at line 180 of file html_block.cpp.

DOMString HTMLHRElement::width | ( |  | ) | const

| The width of the rule. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0. Definition at line 185 of file html_block.cpp.

void HTMLHRElement::setWidth | ( | const DOMString & |  | ) |

| see width Definition at line 191 of file html_block.cpp.

The documentation for this class was generated from the following files:

- html_block.h
- html_block.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:37:18 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001